$('#NOVO_ENDERECO').click(function() {
  $("#INSERT_ENDERECO").attr("action", SERVIDOR + "/admin/terceiros/enderecos/salvar_endereco");
  $('#ENDERECO').modal('show');
});

$(function($) {
  remove = function(item) {
    var tr = $(item).closest('tr');
    tr.fadeOut(400, function() {
      tr.remove();
      var URL = SERVIDOR + "/admin/terceiros/empresas/remover_endereco/" + (this.id);
      $.get(URL, function(resposta) {
        var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
        var TEXT_ERROR = '' +
          '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
          'Não foi possÍ­vel remover o endereço da empresa tente novamente ou entre em contato com o administrador so sistema.' +
          '<br><br><b>Detalhes do erro:</b><br>';
        if (resposta.JSON != 'OK') {
          $("#TituloModal").html(TITULO);
          $("#TextError").html(TEXT_ERROR);
          $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
          $("#Erro").modal('show');
        }
      });
    });
    return false;
  }
});

var URL = SERVIDOR + "/admin/terceiros/enderecos/UF/ID_CIDADE/ID_BAIRRO/TIPO_LOGRADOURO/ID_LOGRADOURO";
$.get(URL, function(resposta) {
  var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
  var TEXT_ERROR = '' +
    '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
    'Não foi possivel excluir o módulo, tente novamente ou entre em contato com o administrador do sistema.' +
    '<br><br><b>Detalhes do erro:</b><br>';
  if (resposta.JSON != 'OK') {
    $("#TituloModal").html(TITULO);
    $("#TextError").html(TEXT_ERROR);
    $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
    $("#Erro").modal('show');
  } else {
    var options = '<option value="">Selecione</option>';
    for (var i = 0; i < resposta.DADOS.length; i++) {
      options += '<option value="' + resposta.DADOS[i].UF + '">' + resposta.DADOS[i].UF + '</option>';
    }
    $('#ESTADO').html(options).show();
  }
});

$(function() {
  $('#ESTADO').change(function() {
    if ($(this).val()) {
      var URL = SERVIDOR + "/admin/terceiros/enderecos/" + $('#ESTADO').val() + "/ID_CIDADE/ID_BAIRRO/TIPO_LOGRADOURO/ID_LOGRADOURO";
      $.get(URL, function(resposta) {
        var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
        var TEXT_ERROR = '' +
          '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
          'Não foi possivel excluir o módulo, tente novamente ou entre em contato com o administrador do sistema.' +
          '<br><br><b>Detalhes do erro:</b><br>';
        if (resposta.JSON != 'OK') {
          $("#TituloModal").html(TITULO);
          $("#TextError").html(TEXT_ERROR);
          $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
          $("#Erro").modal('show');
        } else {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_CIDADE + '">' + resposta.DADOS[i].CIDADE + '</option>';
          }
          $('#CIDADE').html(options).show();
        }
      });
    }
  });
});

$(function() {
  $('#CIDADE').change(function() {
    if ($(this).val()) {
      var URL = SERVIDOR + "/admin/terceiros/enderecos/" + $('#ESTADO').val() + "/" + $('#CIDADE').val() + "/ID_BAIRRO/TIPO_LOGRADOURO/ID_LOGRADOURO";
      $.get(URL, function(resposta) {
        var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
        var TEXT_ERROR = '' +
          '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
          'Não foi possivel excluir o módulo, tente novamente ou entre em contato com o administrador do sistema.' +
          '<br><br><b>Detalhes do erro:</b><br>';
        if (resposta.JSON != 'OK') {
          $("#TituloModal").html(TITULO);
          $("#TextError").html(TEXT_ERROR);
          $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
          $("#Erro").modal('show');
        } else {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_BAIRRO + '">' + resposta.DADOS[i].BAIRRO + '</option>';
          }
          $('#BAIRRO').html(options).show();
        }
      });
    }
  });
});

$(function() {
  $('#BAIRRO').change(function() {
    if ($(this).val()) {
      var URL = SERVIDOR + "/admin/terceiros/enderecos/" + $('#ESTADO').val() + "/" + $('#CIDADE').val() + "/" + $('#BAIRRO').val() + "/TIPO_LOGRADOURO/ID_LOGRADOURO";
      $.get(URL, function(resposta) {
        var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
        var TEXT_ERROR = '' +
          '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
          'Não foi possivel excluir o módulo, tente novamente ou entre em contato com o administrador do sistema.' +
          '<br><br><b>Detalhes do erro:</b><br>';
        if (resposta.JSON != 'OK') {
          $("#TituloModal").html(TITULO);
          $("#TextError").html(TEXT_ERROR);
          $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
          $("#Erro").modal('show');
        } else {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].TIPO_LOGRADOURO + '">' + resposta.DADOS[i].TIPO_LOGRADOURO + '</option>';
          }
          $('#TIPO_LOGRADOURO').html(options).show();
        }
      });
    }
  });
});

$(function() {
  $('#TIPO_LOGRADOURO').change(function() {
    if ($(this).val()) {
      var URL = SERVIDOR + "/admin/terceiros/enderecos/" + $('#ESTADO').val() + "/" + $('#CIDADE').val() + "/" + $('#BAIRRO').val() + "/" + $('#TIPO_LOGRADOURO').val() + "/ID_LOGRADOURO";
      $.get(URL, function(resposta) {
        var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
        var TEXT_ERROR = '' +
          '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
          'Não foi possivel excluir o módulo, tente novamente ou entre em contato com o administrador do sistema.' +
          '<br><br><b>Detalhes do erro:</b><br>';
        if (resposta.JSON != 'OK') {
          $("#TituloModal").html(TITULO);
          $("#TextError").html(TEXT_ERROR);
          $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
          $("#Erro").modal('show');
        } else {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_LOGRADOURO + '">' + resposta.DADOS[i].LOGRADOURO + '</option>';
          }
          $('#LOGRADOURO').html(options).show();
        }
      });
    }
  });
});

$(function($) {
  editar = function(item) {
    var URL = SERVIDOR + "/admin/terceiros/empresas/dados_endereco/" + item;
    $.get(URL, function(resposta) {
      var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
      var TEXT_ERROR = '' +
        '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
        'Não foi possÍ­vel recuperar os dados do endereço entre em contato com o administrador do sistema.' +
        '<br><br><b>Detalhes do erro:</b><br>';
      if (resposta.JSON != 'OK') {
        $("#TituloModal").html(TITULO);
        $("#TextError").html(TEXT_ERROR);
        $("#descError").html("<b><i>" + resposta.JSON + "</i></b>");
        $("#Erro").modal('show');
      } else {
        var ENDERECO = resposta.DADOS;
        $('#TIPO_ENDERECO').val(ENDERECO.TIPO_ENDERECO);
        $('#ESTADO').val(ENDERECO.UF);
        var URL = SERVIDOR + "/admin/terceiros/enderecos/" + ENDERECO.UF + "/ID_CIDADE/ID_BAIRRO/TIPO_LOGRADOURO/ID_LOGRADOURO";
        $.get(URL, function(resposta) {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_CIDADE + '">' + resposta.DADOS[i].CIDADE + '</option>';
          }
          $('#CIDADE').html(options).show();
          $('#CIDADE').val(ENDERECO.ID_CIDADE);
        });
        var URL = SERVIDOR + "/admin/terceiros/enderecos/" + ENDERECO.UF + "/" + ENDERECO.ID_CIDADE + "/ID_BAIRRO/TIPO_LOGRADOURO/ID_LOGRADOURO";
        $.get(URL, function(resposta) {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_BAIRRO + '">' + resposta.DADOS[i].BAIRRO + '</option>';
          }
          $('#BAIRRO').html(options).show();
          $('#BAIRRO').val(ENDERECO.ID_BAIRRO);
        });
        var URL = SERVIDOR + "/admin/terceiros/enderecos/" + ENDERECO.UF + "/" + ENDERECO.ID_CIDADE + "/" + ENDERECO.ID_BAIRRO + "/TIPO_LOGRADOURO/ID_LOGRADOURO";
        $.get(URL, function(resposta) {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].TIPO_LOGRADOURO + '">' + resposta.DADOS[i].TIPO_LOGRADOURO + '</option>';
          }
          $('#TIPO_LOGRADOURO').html(options).show();
          $('#TIPO_LOGRADOURO').val(ENDERECO.TIPO_LOGRADOURO);
        });
        var URL = SERVIDOR + "/admin/terceiros/enderecos/" + ENDERECO.UF + "/" + ENDERECO.ID_CIDADE + "/" + ENDERECO.ID_BAIRRO + "/" + ENDERECO.TIPO_LOGRADOURO + "/ID_LOGRADOURO";
        $.get(URL, function(resposta) {
          var options = '<option value="">Selecione</option>';
          for (var i = 0; i < resposta.DADOS.length; i++) {
            options += '<option value="' + resposta.DADOS[i].ID_LOGRADOURO + '">' + resposta.DADOS[i].LOGRADOURO + '</option>';
          }
          $('#LOGRADOURO').html(options).show();
          $('#LOGRADOURO').val(ENDERECO.ID_LOGRADOURO);
        });
        $('#NUMERO').val(ENDERECO.NUMERO);
        $('#TIPO_COMPLEMENTO').val(ENDERECO.TIPO_COMPLEMENTO);
        $('#COMPLEMENTO').val(ENDERECO.COMPLEMENTO);
        $('#REFERENCIA').val(ENDERECO.REFERENCIA);
        $('#ID_ENDERECO_EMPRESA').val(ENDERECO.ID_ENDERECO_EMPRESA);
        $("#INSERT_ENDERECO").attr("action", SERVIDOR + "/admin/terceiros/enderecos/editar_endereco_empresa");
        $('#ENDERECO').modal('show');
      }
    });
  }
});

$(document).ready(function() {
  $('#DataTable').dataTable({
    "dom": 'Bfrtip',
    "searching": false
  });
});
